package com.gingersoft.gsa.delivery_pick_mode.ui.base

import androidx.appcompat.app.AppCompatActivity
import com.gingersoft.gsa.cloud.ui.widget.dialog.LoadingDialog

open class BaseActivity : AppCompatActivity() {

    fun showLoading(message: String? = null) {
        if (message != null)
            LoadingDialog.showDialogForLoading(this, message, true)
        else
            LoadingDialog.showDialogForLoading(this)
    }

    fun cancelDialogForLoading(){
        LoadingDialog.cancelDialogForLoading()
    }

}